package com.bcxin.ins.weixin.product.service;


import com.bcxin.ins.core.entity.PageResult;
import com.bcxin.ins.entity.tpost.TposThrUser;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

public interface WeiXinProductService {
    /**产品列表分页查询*/
    PageResult query(Map<Object, Object> p);
    /** 根据产品ID查询产品详情*/
    Map<Object,Object> queryByProductID(Map<Object, Object> p);
    /** 根据产品编码查询产品详情*/
    Map<Object,Object> queryByProductCode(Map<Object, Object> p);
    /** 根据产品多个编码查询产品详情*/
    List<Map<Object,Object>> queryByProductCodes(Map<Object, Object> p);

}
